> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/web/get-started/guides/features/annotation/style.md).

# Edit annotation style properties using JavaScript

Learn how to add or edit PDF annotations with this comprehensive code sample. Set annotation style properties like color, border style, and more. Perfect for enhancing your PDF documents. The Apryse W

{% hint style="warning" %}
Make sure you have [Full API enabled in WebViewer.](/web/what-is-webviewer/full-api.md)
{% endhint %}

To set an annotation style property such as color, interior color, border style, padding, etc to an annotation.

{% tabs %}
{% tab title="JavaScript" %}
{% code lineNumbers="true" %}

```js
async function main() {
  const doc = await PDFNet.PDFDoc.createFromURL(filename);
  const page = await doc.getPage(1);

  const circle = await PDFNet.CircleAnnot.create(
    doc,
    new PDFNet.Rect(100, 100, 200, 200)
  );
  await circle.setColor(await PDFNet.ColorPt.init(0, 1, 0), 3);
  await circle.setInteriorColor(await PDFNet.ColorPt.init(0, 0, 1), 3);
  const dash = [2, 4];
  await circle.setBorderStyle(
    await PDFNet.AnnotBorderStyle.createWithDashPattern(
      PDFNet.AnnotBorderStyle.Style.e_dashed,
      3,
      0,
      0,
      dash
    )
  );
  await circle.setPadding(new PDFNet.Rect(2, 2, 2, 2));
  await circle.refreshAppearance();
  await page.annotPushBack(circle);
}
PDFNet.runWithCleanup(main);
```

{% endcode %}
{% endtab %}
{% endtabs %}

[Add or edit PDF annotations sample](/web/get-started/samples.md#annotation) Full code sample which shows how to add or edit PDF annotations (e.g. hyperlink, intra-document link, stamp, rubber stamp, file attachment, sound, text, free-text, line, circle, square, polygon, polyline, highlight, squiggly, caret, and ink).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/web/get-started/guides/features/annotation/style.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
